Sql Server Esu Licenses - Create

Creates or replaces a SQL Server ESU license resource

PUT https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.AzureArcData/sqlServerEsuLicenses/{sqlServerEsuLicenseName}?api-version=2026-01-01

URI Parameters

Name In Required Type Description
resourceGroupName
path True

string

minLength: 1
maxLength: 90

The name of the resource group. The name is case insensitive.

sqlServerEsuLicenseName
path True

string

pattern: ^[-\w\._\(\)]+$

Name of SQL Server ESU License

subscriptionId
path True

string (uuid)

The ID of the target subscription. The value must be an UUID.

api-version
query True

string

minLength: 1

The API version to use for this operation.

Request Body

Name Required Type Description
location True

string

The geo-location where the resource lives

properties True

SqlServerEsuLicenseProperties

SQL Server ESU license properties

tags

object

Resource tags.

Responses

Name Type Description
200 OK

SqlServerEsuLicense

OK

201 Created

SqlServerEsuLicense

Created

Other Status Codes

ErrorResponse

*** Error Responses: ***

Examples

Updates a SQL Server ESU license.

Sample request

PUT https://management.azure.com/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/testrg/providers/Microsoft.AzureArcData/sqlServerEsuLicenses/testsqlServerEsuLicense?api-version=2026-01-01

{
  "location": "northeurope",
  "tags": {
    "mytag": "myval"
  },
  "properties": {
    "billingPlan": "PAYG",
    "version": "SQL Server 2012",
    "physicalCores": 24,
    "activationState": "Inactive",
    "scopeType": "Subscription"
  }
}

Sample response

{
  "properties": {
    "billingPlan": "PAYG",
    "version": "SQL Server 2012",
    "uniqueId": "00000000-1111-2222-3333-444444444444",
    "physicalCores": 24,
    "activationState": "Inactive",
    "scopeType": "Subscription",
    "activatedAt": "2020-01-01T17:18:19.1234567Z",
    "terminatedAt": "2020-01-01T17:18:19.1234567Z",
    "tenantId": "89fdfcc3-4c62-41c3-93c4-16bae3bcf5ea"
  },
  "location": "northeurope",
  "systemData": {
    "createdBy": "user1",
    "createdByType": "User",
    "createdAt": "2020-01-01T17:18:19.1234567Z",
    "lastModifiedBy": "user2",
    "lastModifiedByType": "User",
    "lastModifiedAt": "2020-01-02T17:18:19.1234567Z"
  },
  "tags": {
    "mytag": "myval"
  },
  "id": "/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/testrg/providers/Microsoft.AzureArcData/sqlServerEsuLicenses/sqlServerEsuLicense",
  "name": "sqlServerEsuLicense",
  "type": "Microsoft.AzureArcData/sqlServerEsuLicenses"
}
{
  "properties": {
    "billingPlan": "PAYG",
    "version": "SQL Server 2012",
    "uniqueId": "00000000-1111-2222-3333-444444444444",
    "physicalCores": 24,
    "activationState": "Inactive",
    "scopeType": "Subscription",
    "activatedAt": "2020-01-01T17:18:19.1234567Z",
    "terminatedAt": "2020-01-01T17:18:19.1234567Z",
    "tenantId": "89fdfcc3-4c62-41c3-93c4-16bae3bcf5ea"
  },
  "location": "northeurope",
  "systemData": {
    "createdBy": "user1",
    "createdByType": "User",
    "createdAt": "2020-01-01T17:18:19.1234567Z",
    "lastModifiedBy": "user2",
    "lastModifiedByType": "User",
    "lastModifiedAt": "2020-01-02T17:18:19.1234567Z"
  },
  "tags": {
    "mytag": "myval"
  },
  "id": "/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/testrg/providers/Microsoft.AzureArcData/sqlServerEsuLicenses/sqlServerEsuLicense",
  "name": "sqlServerEsuLicense",
  "type": "Microsoft.AzureArcData/sqlServerEsuLicenses"
}

Definitions

Name Description
billingPlan

SQL Server ESU license type.

createdByType

The type of identity that created the resource.

ErrorAdditionalInfo

The resource management error additional info.

ErrorDetail

The error detail.

ErrorResponse

Error response

scopeType

The Azure scope to which the license will apply.

SqlServerEsuLicense

Describe SQL Server ESU license resource.

SqlServerEsuLicenseProperties

Properties of SQL Server ESU license.

state

The activation state of the license.

systemData

Metadata pertaining to creation and last modification of the resource.

version

The SQL Server version the license covers.

billingPlan

SQL Server ESU license type.

Value Description
PAYG

createdByType

The type of identity that created the resource.

Value Description
User
Application
ManagedIdentity
Key

ErrorAdditionalInfo

The resource management error additional info.

Name Type Description
info

object

The additional info.

type

string

The additional info type.

ErrorDetail

The error detail.

Name Type Description
additionalInfo

ErrorAdditionalInfo[]

The error additional info.

code

string

The error code.

details

ErrorDetail[]

The error details.

message

string

The error message.

target

string

The error target.

ErrorResponse

Error response

Name Type Description
error

ErrorDetail

The error object.

scopeType

The Azure scope to which the license will apply.

Value Description
Tenant
Subscription
ResourceGroup

SqlServerEsuLicense

Describe SQL Server ESU license resource.

Name Type Description
id

string (arm-id)

Fully qualified resource ID for the resource. E.g. "/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceName}"

location

string

The geo-location where the resource lives

name

string

The name of the resource

properties

SqlServerEsuLicenseProperties

SQL Server ESU license properties

systemData

systemData

Azure Resource Manager metadata containing createdBy and modifiedBy information.

tags

object

Resource tags.

type

string

The type of the resource. E.g. "Microsoft.Compute/virtualMachines" or "Microsoft.Storage/storageAccounts"

SqlServerEsuLicenseProperties

Properties of SQL Server ESU license.

Name Type Description
activatedAt

string (date-time)

The timestamp of the activation of the SqlServerEsuLicense in ISO 8601 date-time format.

activationState

state

The activation state of the license.

billingPlan

billingPlan

SQL Server ESU license type.

physicalCores

integer (int32)

minimum: 16
multipleOf: 2

The number of total cores of the license covers.

scopeType

scopeType

The Azure scope to which the license will apply.

tenantId

string

The tenantId the SQL Server ESU license resource subscription resides in.

terminatedAt

string (date-time)

The timestamp of the termination of the SqlServerEsuLicense in ISO 8601 date-time format.

uniqueId

string

pattern: ^[A-Za-z0-9]{8}-([A-Za-z0-9]{4}-){3}[A-Za-z0-9]{12}$

The unique ID of this license. This is a GUID-formatted string (e.g. 00000000-0000-0000-0000-000000000000).

version

version

The SQL Server version the license covers.

state

The activation state of the license.

Value Description
Inactive
Active
Terminated

systemData

Metadata pertaining to creation and last modification of the resource.

Name Type Description
createdAt

string (date-time)

The timestamp of resource creation (UTC).

createdBy

string

The identity that created the resource.

createdByType

createdByType

The type of identity that created the resource.

lastModifiedAt

string (date-time)

The timestamp of resource last modification (UTC)

lastModifiedBy

string

The identity that last modified the resource.

lastModifiedByType

createdByType

The type of identity that last modified the resource.

version

The SQL Server version the license covers.

Value Description
SQL Server 2012
SQL Server 2014